Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.types
Enum TibcoBaseView2.resourcesRequiredEnum

    java.lang.Object
      java.lang.Enum<TibcoBaseView2.resourcesRequiredEnum>
          com.tibco.bpm.web.client.model.types.TibcoBaseView2.resourcesRequiredEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TibcoBaseView2.resourcesRequiredEnum>

Enclosing class:
  TibcoBaseView2

    public static enum TibcoBaseView2.resourcesRequiredEnum

extends java.lang.Enum<TibcoBaseView2.resourcesRequiredEnum>

Enum Constant Summary
`ALL`
`OWNWORKLIST`

Method Summary
`static TibcoBaseView2.resourcesRequiredEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TibcoBaseView2.resourcesRequiredEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OWNWORKLIST

    public static final TibcoBaseView2.resourcesRequiredEnum OWNWORKLIST

### ALL

    public static final TibcoBaseView2.resourcesRequiredEnum ALL

Method Detail

### values

    public static TibcoBaseView2.resourcesRequiredEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TibcoBaseView2.resourcesRequiredEnum c : TibcoBaseView2.resourcesRequiredEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TibcoBaseView2.resourcesRequiredEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.